from django.contrib import admin
from .models import Page, PageContent


class PageContentInline(admin.StackedInline):
    model = PageContent
    extra = 2


class PageAdmin(admin.ModelAdmin):
    inlines = [PageContentInline]


admin.site.register(Page, PageAdmin)
