from django.utils.translation import get_language
from pages.models import PageContent
from django import template

register = template.Library()


@register.simple_tag(takes_context=True)
def get_page(context, slug):
    request = context["request"]
    obj = PageContent.objects.filter(language=get_language(), page__slug=slug).first
    return obj
