// See Bulma documentation
// https://bulma.io/documentation/components/navbar/

document.addEventListener('DOMContentLoaded', function () {

  // Get all "navbar-burger" elements
  var $navbarBurgers = Array.prototype.slice.call(document.querySelectorAll('.navbar-burger'), 0);

  // Check if there are any navbar burgers
  if ($navbarBurgers.length > 0) {

    // Add a click event on each of them
    $navbarBurgers.forEach(function ($el) {
      $el.addEventListener('click', function () {

        // Get the target from the "data-target" attribute
        var target = $el.dataset.target;
        var $target = document.getElementById(target);

        // Toggle the class on both the "navbar-burger" and the "navbar-menu"
        $el.classList.toggle('is-active');
        $target.classList.toggle('is-active');

      });
    });
  }

  // Fix the navbar for small displays
  if (window.screen.availWidth < 1088) {
    var nb = document.getElementById('navBar');
    if (nb !== null) {
      nb.className += " is-fixed-top";
    }
    var ms = document.getElementsByTagName('html')[0];
    if (ms !== null) {
      ms.className += " has-navbar-fixed-top";
    }
    console.log(ms);
  }
});
